<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
 *     	  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.  
 *	  Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="lastupdated" content="4Jul07">
<!-- p2 -->

<title>Setting Response Character Encoding for a JSP File</title>
<link rel="stylesheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>

<h2>Setting Response Character Encoding for a JSP File</h2>
<p><small> 
<a href="#seealso">See Also</a> 
</small></p> 
<p>The response character encoding is the encoding of the textual response generated by a web 
component. The response character encoding must be set appropriately so that the characters are rendered correctly 
for a given locale. An initial response character encoding for a JSP page is set from the same sources
as for page character encoding:</p>
<ul>
  <li>The <tt>charset</tt> value of a <tt>contentType</tt> attribute in a <tt>page</tt> directive. </li>
	<li>The <tt>pageEncoding</tt> attribute of a <tt>page</tt> directive.</li>
	<li>The <tt>&lt;page-encoding&gt;</tt> tags of a <tt>web.xml</tt> file's JSP property group.</li></ul>
<p>However, note that the <tt>charset</tt> value of a <tt>contentType</tt> attribute is the place
 where you are recommended to set the response character encoding. The other two places are meant
  for the page character encoding; these are only used for the response character encoding when no
  specific response character encoding has been defined.</p>
<b>To set the response character encoding for a JSP file:</b> 
<ol><li>Double-click the JSP file so that it opens in the Source Editor. The 
default <tt>pageEncoding</tt> attribute of a JSP file created in the IDE is as follows:
<pre>  &lt;%@page pageEncoding="UTF-8"%&gt;</pre>
You can change the page encoding in the JSP file and save it. Note that
the IDE warns you if you try to save a character set that is not valid for JSP pages.
The place where you set the response character encoding depends on whether you want it
to be the same as the page character encoding or not.</li>
<li>Do one of the following:
<ul>
	<li><b>Set a distinct response character encoding.</b>
Use the <tt>contentType</tt> attribute
of the <tt>page</tt> directive. The 
 default <tt>contentType</tt> attribute of a JSP file created in the IDE does not contain a <tt>charset</tt> value,
  because the <tt>pageEncoding</tt> attribute handles page encoding by default. 
  However, you can add a <tt>charset</tt> value as follows:
<pre>  &lt;%@page contentType="text/html;charset=UTF-8"%&gt;</pre></li>
  <li><b>Use the page character encoding as the response character encoding.</b> 
  Do not add a <tt>charset</tt> value to the <tt>page</tt> directive's <tt>contentType</tt> attribute
  attribute. In the absence of the <tt>charset</tt> value, the encoding specified for
  the page by means of the <tt>page</tt> directive's <tt>pageEncoding</tt> attribute
  is also that of the response.</li>
</ul>
</li></ol>

<p>For detailed information on response character
encoding, see the references below.</p>
<dl>
    
<dt><a name="seealso">See Also</a> </dt> 
<dd><object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
         <param name="content" value="http://java.sun.com/j2se/1.5.0/docs/guide/intl/encoding.doc.html">
         <param name="text" value="<html><u>Supported Encodings</u></html>">
         <param name="textFontSize" value="medium">
         <param name="textColor" value="blue">
</object>
</dd>
<dd><object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
         <param name="content" value="http://java.sun.com/j2ee/1.4/docs/tutorial/doc/WebI18N5.html">
	 <param name="text" value="<html><u>Character Sets and Encodings</u></html>">
         <param name="textFontSize" value="medium">
         <param name="textColor" value="blue">
</object>
</dd>
<dd><object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
         <param name="content" value="http://java.sun.com/developer/technicalArticles//Intl/MultilingualJSP/">
         <param name="text" value="<html><u>Developing Multilingual Web Applications Using JavaServer Pages Technology</u></html>">
         <param name="textFontSize" value="medium">
         <param name="textColor" value="blue">
</object>
</dd>
</dl>




<hr>
<small><a href="../../../credits.html">Legal Notices</a></small> 
</body>
</html>
